Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.fileaccess
Class HttpDownloadBean

`java.lang.Object
HttpFileAccessBean
oracle.jsp.webutil.fileaccess.HttpDownloadBean`

All Implemented Interfaces:
  java.io.Serializable

public class HttpDownloadBean
extends HttpFileAccessBean
implements java.io.Serializable

This bean lists the files available for download based on the input criteria. "*" as the source property gives everything under the basedir or for database, removes the fileprefixColumn from the select. Connection is saved in the session object.

See Also:
  Serialized Form

Constructor Summary
`HttpDownloadBean()`

Method Summary
`java.lang.String` | `getDataColumn()`
`java.lang.String` | `getFileNameColumn()`
`java.util.Enumeration` | `getFileNames()` return the list of file that were uploaded
`java.lang.String` | `getFileType()`
`java.lang.String` | `getPrefixColumn()`
`java.lang.String` | `getRecurse()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getSourceType()`
`java.lang.String` | `getTable()`
`void` | `listFiles(javax.servlet.http.HttpServletRequest req)` List the files available for download
`void` | `setBaseDir(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletRequest request)`
`void` | `setConnection(ConnBean cb)`
`void` | `setConnection(java.sql.Connection conn)`
`void` | `setDataColumn(java.lang.String s)`
`void` | `setFileNameColumn(java.lang.String s)`
`void` | `setFileType(int i)`
`void` | `setFileType(java.lang.String s)`
`void` | `setPrefixColumn(java.lang.String s)`
`void` | `setRecurse(boolean recurse)`
`void` | `setRecurse(java.lang.String s)`
`void` | `setSource(java.lang.String s)`
`void` | `setSourceType(int srcType)`
`void` | `setSourceType(java.lang.String srcType)`
`void` | `setTable(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpDownloadBean

    public HttpDownloadBean()

Method Detail

### listFiles

    public void listFiles(javax.servlet.http.HttpServletRequest req)
                   throws FileAccessException

  List the files available for download
  Throws:
    `FileAccessException`

### setRecurse

    public void setRecurse(java.lang.String s)
                    throws FileAccessException

  Throws:
    `FileAccessException`

### setRecurse

    public void setRecurse(boolean recurse)

### setSourceType

    public void setSourceType(java.lang.String srcType)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### setSourceType

    public void setSourceType(int srcType)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### setSource

    public void setSource(java.lang.String s)
                   throws FileAccessException

  Throws:
    `FileAccessException`

### setFileType

    public void setFileType(java.lang.String s)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setFileType

    public void setFileType(int i)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setTable

    public void setTable(java.lang.String s)
                  throws FileAccessException

  Throws:
    `FileAccessException`

### setPrefixColumn

    public void setPrefixColumn(java.lang.String s)
                         throws FileAccessException

  Throws:
    `FileAccessException`

### setFileNameColumn

    public void setFileNameColumn(java.lang.String s)
                           throws FileAccessException

  Throws:
    `FileAccessException`

### setDataColumn

    public void setDataColumn(java.lang.String s)
                       throws FileAccessException

  Throws:
    `FileAccessException`

### setConnection

    public void setConnection(ConnBean cb)

### setConnection

    public void setConnection(java.sql.Connection conn)

### setBaseDir

    public void setBaseDir(javax.servlet.ServletContext servletContext,
                           javax.servlet.http.HttpServletRequest request)
                    throws FileAccessException

  Parameters:
    `servletContext` - - current ServletContext (application obj from jsp)
    `request` - - current HttpServletRequest (request obj from jsp) for file system, the basedir is defined in WEB-INF/fileaccess.properties
  Throws:
    `FileAccessException`

### getRecurse

    public java.lang.String getRecurse()

### getSourceType

    public java.lang.String getSourceType()

### getSource

    public java.lang.String getSource()

### getFileType

    public java.lang.String getFileType()

### getTable

    public java.lang.String getTable()

### getPrefixColumn

    public java.lang.String getPrefixColumn()

### getFileNameColumn

    public java.lang.String getFileNameColumn()

### getDataColumn

    public java.lang.String getDataColumn()

### getFileNames

    public java.util.Enumeration getFileNames()

  return the list of file that were uploaded

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.